<?php

  if( $Debug == 1 ){
    echo "Edit View";
  }

  $user_id = $decoded['user_id'];

  if( $user_id ){

    $WHERE = "
      WHERE
        usr.Id != '0'
        AND usr.fk_usuario_tipo = '1'
    ";

    //Id
    if( $id ){
      $WHERE .= "
        AND usr.id = '$id'
      ";
    }
    //End Id

    //Id
    if( $user_id ){
      $WHERE .= "
        AND usr.id = '$user_id'
      ";
    }
    //End Id

    //Datos de Usuarios Tendero
    $Query = "
      SELECT
        usr.id,
        usr.fk_usuario_tipo,
        usr.nombre, usr.apellido_paterno, usr.apellido_materno,
        usr.celular, usr.email, usr.fecha_alta, usr.clave,
        usr.activo
      FROM usuarios_app usr
      $WHERE
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);

    if( $Usr[id] ){

      //Si es Usuario Fuerza de Ventas Muestra Checkin en Tienda
      if( $Usr[fk_usuario_tipo] == 1 ){

        //Visita
        $Query = "
          SELECT
            vi.id, vi.fk_tienda
          FROM visitas_fuerzaventas vi
          WHERE
            vi.id               != '0'
            AND vi.fk_usuario   = '$Usr[id]'
            AND vi.in_          = '1'
          GROUP BY vi.Id
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Visita = mysqli_fetch_assoc($Result);

        //Tienda
        $Query = "
          SELECT
            tie.id,
            tie.nombre,
            tie.codigoQr,
            tie.fk_pais, pai.nombre AS pais,
            tie.fk_estado, est.estado,
            tie.fk_municipio, mun.municipio,
            tie.codigo_postal, tie.colonia,
            tie.calle, tie.no_exterior, tie.no_interior,
            tie.lat, tie.lng
          FROM tiendas tie
          LEFT JOIN cat_paises pai ON pai.id = tie.fk_pais
          LEFT JOIN cat_estados est ON est.id = tie.fk_estado
          LEFT JOIN cat_municipios mun ON mun.id = tie.fk_municipio
          WHERE
            tie.id = '$Visita[fk_tienda]'
          GROUP BY tie.Id
        ";
        $Result = mysqli_query($mysqli, $Query);
        $TiendaVal = mysqli_fetch_assoc($Result);
        if( $TiendaVal[id] ){

          $Tienda = array(
            'tienda_id'     => $TiendaVal[id],
            'codigo'        => $TiendaVal[codigoQr],
            'nombre'        => $TiendaVal[nombre],
            'calle'         => $TiendaVal[calle],
            'num_ext'       => $TiendaVal[no_exterior],
            'num_int'       => $TiendaVal[no_interior],
            'colonia'       => $TiendaVal[colonia],
            'municipio'     => $TiendaVal[municipio],
            'estado'        => $TiendaVal[estado],
            'pais'          => $TiendaVal[pais],
            'codigopostal'  => $TiendaVal[codigo_postal],
            'latitud'       => $TiendaVal[lat],
            'longitud'      => $TiendaVal[lng]
          );

        }else{
          $Tienda = array(
            'codigo'        => '0'
          );
        }

      }
      //End Si es Usuario Fuerza de Ventas Muestra Checkin en Tienda

      $FechaAlta = date('Y-m-d', strtotime($Usr[fecha_alta]));
      $HoraAlta  = date('H:i:s', strtotime($Usr[fecha_alta]));

      $Data = array(
        'action'             => 'ok',
        'id_user'            => "$Usr[id]",
        'clave'              => "$Usr[clave]",
        'nombre'             => "$Usr[nombre]",
        'apellido_paterno'   => "$Usr[apellido_paterno]",
        'apellido_materno'   => "$Usr[apellido_materno]",
        'email'              => "$Usr[email]",
        'cel'                => "$Usr[celular]",
        'fecha_alta'         => "$FechaAlta",
        'hora_alta'          => "$HoraAlta",
        'activo'             => "$Usr[activo]",
        'tienda_checkin'     => $Tienda
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }else{

      //Error uv-1 ( El Usuario no se encontró. )
      $Query = "
        SELECT
          err.Id, err.error, err.msn
        FROM api_errores err
        WHERE err.error = 'uc-1'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Error = mysqli_fetch_assoc($Result);

      $Data = array(
        'action'      => 'error',
        'error'       => $Error[error],
        'error_msn'   => $Error[msn]
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }

?>
